Name:           Saaghar
Version:        1.0.94
Release:        9%{?dist}
Summary:        A Cross-Platform Persian Poetry Software

Group:          Applications/Publishing
License:        GPLv3+
URL:            http://sourceforge.net/projects/saaghar/
Source0:        http://downloads.sourceforge.net/saaghar/%{name}-%{version}.tar.gz
# Fedora specific: do not install doc files
Patch0:         %{name}-installfix.patch

BuildRequires:  qt-devel desktop-file-utils
Requires:       %{name}-data

%description
Saaghar is a cross-platform Persian poetry software. It uses 
http://ganjoor.net database. It has lots of features:
* Tabbed UI
* Tabbed and dock-able search widgets
* Print and Print Preview
* Export, It supports exporting to "PDF", "HTML", "TeX", "CSV" and "TXT"
* Copy and Multi-selection
* Customisable interface

%package        data
Version:        59.90.07
Release:        5.%{release}
Summary:        Database for %{name}
Group:          Applications/Databases
BuildArch:      noarch
Source1:        http://downloads.sourceforge.net/saaghar/%{name}-data-%{version}.xz

%description    data
This package contains the database for %{name}.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .installfix
xz -dc %{SOURCE1} > utilities/ganjoor.s3db

%build
qmake-qt4 -config release
make %{?_smp_mflags}


%install
make install INSTALL_ROOT=%{buildroot}
install -Dp -m 0644 utilities/ganjoor.s3db %{buildroot}%{_datadir}/saaghar/

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files
%doc utilities/AUTHORS utilities/COPYING utilities/CHANGELOG utilities/README
%doc utilities/TODO utilities/LICENSE
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_datadir}/saaghar/poets_images
%{_datadir}/saaghar/themes
%{_datadir}/saaghar/*.pdf
%{_datadir}/saaghar/*.qm
%dir %{_datadir}/saaghar

%files data
%{_datadir}/saaghar/ganjoor.s3db

%changelog
* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.94-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.94-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.94-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.94-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.94-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 1.0.94-4
- Fix -data subpackage release tag so it'll be automatically incremented when
  base package release changes. It should be still manually incremented for new
  versions. :( It must be a separate package completely.

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.94-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 27 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 1.0.94-1
- Updated to upstream version 1.0.94
- Files are not executable anymore, so removed the chmod section
- Applied patch has become smaller

* Sun Nov 20 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 0.9.69-1
- Updated to Saaghar version 0.9.69 and db version 59.90.07

* Wed May 25 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 0.8.21-1
- Updated to 0.8.21 version
- Add a separate version tag for data sub-package

* Sat Apr 30 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 0.8.13-1
- Update to latest upstream version
- Updated the project's URL
- Added desktop-file-utils build dependency

* Mon Mar 14 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 0.7.2-2.1051
- A little cleaning up
- Adding comments for patches
- Validating installed .desktop file

* Fri Feb 18 2011 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 0.7.2-1
- Initial version

